old sscanf - Minix

This is a discussion on old sscanf - Minix ; hi all! while porting a userspace-program i noticed a rather old (gnu) "sscanf" function "man sscanf" in my linux has a date of "2007-07-26", while in minix (3.1.3a) the date is "May 15, 1985".. the old sscanf version has much ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: old sscanf

  1. old sscanf

    hi all!

    while porting a userspace-program i noticed a rather old (gnu)
    "sscanf" function

    "man sscanf" in my linux has a date of "2007-07-26", while in minix
    (3.1.3a) the date is "May 15, 1985"..

    the old sscanf version has much fewer features and my userspace-prgs
    depends on some of the missing ones.
    2 possibilities here:

    - rewrite the (modern) userspace-programm to make it compatible to the
    '85 version of sscanf

    or

    - ask for the possibilities to update the appropriate gnu library

    what do you think?

    thx,
    markus.

  2. Re: old sscanf

    > while porting a userspace-program i noticed a rather old (gnu)
    > "sscanf" function
    >
    > "man sscanf" in my linux has a date of "2007-07-26", while in minix
    > (3.1.3a) the date is "May 15, 1985"..
    >
    > the old sscanf version has much fewer features and my userspace-prgs
    > depends on some of the missing ones.
    >
    > what do you think?


    I do not think this sscanf implementation is part of the GNU library.
    In fact, I do not think any of the Minix libraries derive from GNU and
    I suppose there are good (probably license-related) reasons for this.

    The best thing to do would probably be to check the standards that
    apply to this function (probably POSIX) and see whether the features
    you are missing are required by the standard.

    - If they are required, Minix is lacking and sscanf should be improved
    to support them. You could fix it and send a patch to the Minix
    maintainers.

    - If they are not required, the program is lacking in portability and
    should be changed not to rely on these GNU-specific extensions; using
    them does not only reduce Minix portability, but also portability to
    other platforms. You could fix it and send a patch to the maintainers
    of that program.

    --
    With kind regards,
    Erik van der Kouwe

+ Reply to Thread